react-native run-android した際にAndroid 4.4.4 (API 19)だと以下のようなエラーが出る

@iwasaki 14views 更新:2017年6月29日
react-native run-android

した際にAndroid 4.4.4 (API 19)だと以下のようなエラーが出る

Running /usr/local/opt/android-sdk/platform-tools/adb -s XXXXXXX:5555 reverse tcp:8081 tcp:8081
error: closed
Could not run adb reverse: Command failed: /usr/local/opt/android-sdk/platform-tools/adb -s XXXXXXX:5555 reverse tcp:8081 tcp:8081

adb revese only works on Android 5.0+ devices とあるように、 adb revese が使えるのはAndroid5系以降

https://stackoverflow.com/questions/38577669/run-react-native-on-android-emulator

https://stackoverflow.com/questions/31525431/getting-error-closed-twice-on-adb-reverse

4系の場合は以下のようにしてWi-Fi接続する必要があるようです。

http://facebook.github.io/react-native/docs/running-on-device.html#method-2-connect-via-wi-fi

ログイン / 新規登録してコメントする

このソースコードをストックして後で利用したり、作業に利用したソースコードをまとめることができます。

こちらもお役に立つかもしれません